import { TestSession } from './TestSession';
import { EventEmitter } from './utils';
import { TestSessionStatus } from './TestSessionStatus';
import { TestSessionResult } from './TestSessionResult';
interface EventMap {
    'session-status-updated': TestSession;
    'session-updated': void;
}
export declare class TestSessionManager extends EventEmitter<EventMap> {
    private sessionsMap;
    add(session: TestSession): void;
    updateStatus(session: TestSession, status: TestSessionStatus, result?: Partial<TestSessionResult>): void;
    update(session: TestSession): void;
    get(id: string): TestSession | undefined;
    all(): IterableIterator<TestSession>;
    filtered(filter: (s: TestSession) => unknown): Generator<TestSession, void, unknown>;
    forStatus(...statuses: TestSessionStatus[]): Generator<TestSession, void, unknown>;
    forStatusAndTestFile(testFile?: string, ...statuses: TestSessionStatus[]): Generator<TestSession, void, unknown>;
    forTestFile(...testFiles: string[]): Generator<TestSession, void, unknown>;
    forBrowser(...browserNames: string[]): Generator<TestSession, void, unknown>;
    forBrowserAndTestFile(testFile?: string, ...browserNames: string[]): Generator<TestSession, void, unknown>;
    passed(): Generator<TestSession, void, unknown>;
    failed(): Generator<TestSession, void, unknown>;
}
export {};
