import { EventEmitter } from '../utils';
export declare type TerminalEntry = string | IndentedTerminalEntry;
export interface IndentedTerminalEntry {
    text: string;
    indent: number;
}
interface EventMap {
    input: string;
}
export declare class Terminal extends EventEmitter<EventMap> {
    private originalFunctions;
    private previousDynamic;
    private started;
    private serverAddress?;
    isInteractive: boolean;
    start(serverAddress: string, watchMode: boolean): void;
    observeDirectInput(): void;
    observeConfirmedInput(): void;
    stop(): void;
    clear(): void;
    logStatic(entriesOrEntry: TerminalEntry | TerminalEntry[]): void;
    logPendingUserInput(string: string): void;
    logDynamic(entriesOrEntry: TerminalEntry | TerminalEntry[]): void;
    private relogDynamic;
}
export {};
