import { TestSession } from './TestSession';
export declare function filtered<T>(it: Iterator<T>, filter: (value: T) => unknown): Generator<T, void, unknown>;
export declare function createTestSessions(browserNames: string[], testFiles: string[]): TestSession[];
declare type EventMap = Record<string, any>;
declare type EventKey<T extends EventMap> = string & keyof T;
declare type EventReceiver<T> = (params: T) => void;
export interface Emitter<T extends EventMap> {
    on<K extends EventKey<T>>(eventName: K, fn: EventReceiver<T[K]>): void;
    emit<K extends EventKey<T>>(eventName: K, params: T[K]): void;
}
export declare class EventEmitter<T extends EventMap> implements Emitter<T> {
    private __emitter;
    on<K extends EventKey<T>>(eventName: K, fn: EventReceiver<T[K]>): void;
    off<K extends EventKey<T>>(eventName: K, fn: EventReceiver<T[K]>): void;
    emit<K extends EventKey<T>>(eventName: K, params?: T[K]): void;
}
export {};
